Bug #2481

policykit panic (reproducible)

Added by marino over 1 year ago. Updated about 1 year ago.

Status:ClosedStart date:01/05/2013
Priority:NormalDue date:
Assignee:vsrinivas% Done:

0%

Category:-
Target version:-

Description

During the build of xfce4 from dports, HAL is installed after policykit. HAL has a POST-INSTALL and PRE-DEINSTALL command that it sends to polkit-auth. On my x86-64 machine both command cause a panic immediately and reproducibly. It does not occur on my i386 core i5, and F.Tigeot says he does not see it on either his x86_64 or i386 machines.

The core is located on leaf at ~/crash/core.polkit.txz

The core text is here:
http://leaf.dragonflybsd.org/~marino/core/core.polkit.txt

History

#1 Updated by marino about 1 year ago

  • Status changed from New to Closed

dillon committed this:
http://gitweb.dragonflybsd.org/dragonfly.git/commitdiff/8aefdd25a3f794c7099ac77056d8fa74c28e7bcc

vsrinvas says it's the correct fix.
I can install hal without incident now.

closing...

Also available in: Atom PDF